FROM openshift/golang-builder:rhel_8_golang_1.15 AS build
ENV __doozer=update BUILD_RELEASE=202103130248.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202103130248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=da4e3b30c420117786fee790f1209f310e268459 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+da4e3b3 OS_GIT_COMMIT=da4e3b3 OS_GIT_VERSION=4.6.0-202103130248.p0-da4e3b3 SOURCE_DATE_EPOCH=1613656358 SOURCE_GIT_COMMIT=da4e3b30c420117786fee790f1209f310e268459 SOURCE_GIT_TAG=0.14.0-1555-gda4e3b30 SOURCE_GIT_URL=https://github.com/kube-reporting/metering-operator 

COPY . /go/src/github.com/kube-reporting/metering-operator
WORKDIR /go/src/github.com/kube-reporting/metering-operator

ENV GOCACHE='/tmp'
RUN make reporting-operator-bin RUN_UPDATE_CODEGEN=false CHECK_GO_FILES=false

FROM openshift/ose-base:v4.6.0.20210313.033438
ENV __doozer=update BUILD_RELEASE=202103130248.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202103130248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=da4e3b30c420117786fee790f1209f310e268459 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+da4e3b3 OS_GIT_COMMIT=da4e3b3 OS_GIT_VERSION=4.6.0-202103130248.p0-da4e3b3 SOURCE_DATE_EPOCH=1613656358 SOURCE_GIT_COMMIT=da4e3b30c420117786fee790f1209f310e268459 SOURCE_GIT_TAG=0.14.0-1555-gda4e3b30 SOURCE_GIT_URL=https://github.com/kube-reporting/metering-operator 

RUN yum install --setopt=skip_missing_names_on_install=False -y \
        ca-certificates bash

COPY --from=build /go/src/github.com/kube-reporting/metering-operator/bin/reporting-operator /usr/local/bin/reporting-operator

USER 3001
ENTRYPOINT ["reporting-operator"]
CMD ["start"]

LABEL \
        io.k8s.display-name="OpenShift metering-reporting-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages collecting data from monitoring and running reports." \
        summary="This is a component of OpenShift Container Platform and manages collecting data from monitoring and running reports." \
        io.openshift.tags="openshift" \
        maintainer="<metering-team@redhat.com>" \
        name="openshift/ose-metering-reporting-operator" \
        com.redhat.component="ose-metering-reporting-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Metering Operator" \
        release="202103130248.p0" \
        io.openshift.build.commit.id="da4e3b30c420117786fee790f1209f310e268459" \
        io.openshift.build.source-location="https://github.com/kube-reporting/metering-operator" \
        io.openshift.build.commit.url="https://github.com/kube-reporting/metering-operator/commit/da4e3b30c420117786fee790f1209f310e268459" \
        version="v4.6.0"

